com.hazelcast.jet.hadoop

## Class HdfsProcessors

- java.lang.Object
- - com.hazelcast.jet.hadoop.HdfsProcessors

-     public final class HdfsProcessors
      extends Object

  Static utility class with factories of Apache Hadoop HDFS source and sink processors.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <K,V,R> com.hazelcast.jet.hadoop.impl.ReadHdfsP.MetaSupplier<K,V,R>` | `readHdfsP(org.apache.hadoop.mapred.JobConf jobConf, DistributedBiFunction<K,V,R> mapper)` Returns a supplier of processors for `HdfsSources.hdfs(JobConf, DistributedBiFunction)`.
    `static <E,K,V> ProcessorMetaSupplier` | `writeHdfsP(org.apache.hadoop.mapred.JobConf jobConf, DistributedFunction<? super E,K> extractKeyFn, DistributedFunction<? super E,V> extractValueFn)` Returns a supplier of processors for `HdfsSinks.hdfs(JobConf, DistributedFunction, DistributedFunction)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### readHdfsP

          @Nonnull
          public static <K,V,R> com.hazelcast.jet.hadoop.impl.ReadHdfsP.MetaSupplier<K,V,R> readHdfsP(@Nonnull
                                                                                                               org.apache.hadoop.mapred.JobConf jobConf,
                                                                                                               @Nonnull
                                                                                                               DistributedBiFunction<K,V,R> mapper)

      Returns a supplier of processors for `HdfsSources.hdfs(JobConf, DistributedBiFunction)`.

    - #### writeHdfsP

          @Nonnull
          public static <E,K,V> ProcessorMetaSupplier writeHdfsP(@Nonnull
                                                                          org.apache.hadoop.mapred.JobConf jobConf,
                                                                          @Nonnull
                                                                          DistributedFunction<? super E,K> extractKeyFn,
                                                                          @Nonnull
                                                                          DistributedFunction<? super E,V> extractValueFn)

      Returns a supplier of processors for `HdfsSinks.hdfs(JobConf, DistributedFunction, DistributedFunction)`.

Copyright © 2018. All rights reserved.